osgParticle Namespace Reference

## Classes

class | AccelOperator
class | AngularAccelOperator
class | AngularDampingOperator
class | BounceOperator
class | BoxPlacer
class | CenteredPlacer
class | CompositePlacer
class | ConnectedParticleSystem
class | ConstantRateCounter
class | Counter
class | DampingOperator
class | DomainOperator
class | Emitter
class | ExplosionDebrisEffect
class | ExplosionEffect
class | ExplosionOperator
class | FireEffect
class | FluidFrictionOperator
class | FluidProgram
class | ForceOperator
class | Interpolator
| An abstract base class for implementing interpolators. More...
class | LinearInterpolator
| A linear interpolator. More...
class | ModularEmitter
class | ModularProgram
class | MultiSegmentPlacer
class | Operator
class | OrbitOperator
class | Particle
class | ParticleEffect
class | ParticleProcessor
class | ParticleSystem
class | ParticleSystemUpdater
class | Placer
class | PointPlacer
class | PrecipitationEffect
class | Program
class | RadialShooter
class | RandomRateCounter
struct | range
class | SectorPlacer
class | SegmentPlacer
class | Shooter
class | SinkOperator
class | SmokeEffect
class | SmokeTrailEffect
class | VariableRateCounter

## Typedefs

typedef range< float > | rangef
| Range of floats.
typedef range< osg::Vec2 > | rangev2
| Range of osg::Vec2s.
typedef range< osg::Vec3 > | rangev3
| Range of osg::Vec3s.
typedef range< osg::Vec4 > | rangev4
| Range of osg::Vec4s.

## Detailed Description

The osgParticle library is a NodeKit that extends the core scene graph to support particle effects.

## Typedef Documentation

## rangef

typedef range<float> osgParticle::rangef

Range of floats.

## rangev2

typedef range<osg::Vec2> osgParticle::rangev2

Range of osg::Vec2s.

## rangev3

typedef range<osg::Vec3> osgParticle::rangev3

Range of osg::Vec3s.

## rangev4

typedef range<osg::Vec4> osgParticle::rangev4

Range of osg::Vec4s.